## ocaml-duppy 0.5.1

=== examples/Makefile ===
# OCaml-Lastfm examples.
#
# Copyright 2007 by the Savonet team.
#
# $Id: Makefile 4694 2007-10-23 23:33:11Z smimram $

all clean:
	$(MAKE) -f Makefile.telnet $@
	$(MAKE) -f Makefile.http $@

distclean: clean
	rm -rf autom4te.cache config.log config.status autom4te.cache

## ocaml-duppy 0.7.0

=== debian/changelog ===
ocaml-duppy (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * debian/watch: update watch file url
  * debian/copyright: use machine-readable format
  * debian/control: Add new Uploader
                    Bump standards version to 4.1.4
  * debian/compat: bump compat version to 10
  * debian/source/format: use quilt patch format

 -- Kyle Robbertze <krobbertze@gmail.com>  Fri, 04 May 2018 20:20:02 +0200

ocaml-duppy (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 08 May 2013 18:55:54 -0500

ocaml-duppy (0.5.0-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental.
  * Bumped standards version to 3.9.4

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 15 Apr 2013 22:31:34 -0500

ocaml-duppy (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 08 Oct 2011 16:36:11 +0200

ocaml-duppy (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 04 Aug 2011 21:50:44 -0500

ocaml-duppy (0.4.0-1) unstable; urgency=low

  * Uploading upstream 0.4.0 release to unstable.

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 26 Jun 2011 19:54:28 -0500

ocaml-duppy (0.4.0~20110523+hg644dd3b27614-1) experimental; urgency=low

  * Snapshot from mercurial repository.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 23 May 2011 15:18:45 -0500

ocaml-duppy (0.3.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 03 Mar 2011 13:30:12 -0600

ocaml-duppy (0.3.2-1) experimental; urgency=low

  * New upstream release.
  * Bumped standards version to 3.9.1
  * Upload to experimental now that squeeze is frozen.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 19 Aug 2010 13:43:19 -0500

ocaml-duppy (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.3
  * Use new automatic dependency system.
  * Added doc-base registration.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 14 Oct 2009 17:41:30 -0500

ocaml-duppy (0.3.0-1) unstable; urgency=low

  * New Upstream Version
  * Changed section to ocaml.
  * Bumped standards version to 3.8.2.0.
  * Enable debugging.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 18 Jun 2009 18:22:52 +0200

ocaml-duppy (0.2.0-2) unstable; urgency=low

  * Tighten build-dependency on ocaml-pcre.

 -- Samuel Mimram <smimram@debian.org>  Fri, 27 Feb 2009 09:36:10 +0100

ocaml-duppy (0.2.0-1) unstable; urgency=low

  * New Upstream Version.
  * Switch packaging to git.
  * Use dh-ocaml's predefined variables.
  * Update compat to 7.

 -- Samuel Mimram <smimram@debian.org>  Wed, 25 Feb 2009 18:08:09 +0100

ocaml-duppy (0.1.2-1) unstable; urgency=low

  * New upstream release
  * Updated standards to 3.8.0
  * Changed maintainer to Debian OCaml Maintainers
  * Added libpcre-ocaml-dev to binary dependencies

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 25 Jun 2008 15:25:37 +0200

ocaml-duppy (0.1.1-1) unstable; urgency=low

  * New upstream release, now installs .cmx file
  * Changed maintainer to Debian OCaml Maintainers

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 15 Apr 2008 17:40:51 +0100

ocaml-duppy (0.1.0-4) unstable; urgency=low

  * Really fix dh_install call

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 06 Apr 2008 15:17:43 +0100

ocaml-duppy (0.1.0-3) unstable; urgency=low

  * Fixed FTBFS on non native archs due to missing installed files.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 03 Apr 2008 11:03:03 +0100

ocaml-duppy (0.1.0-2) unstable; urgency=low

  * Fixed debian/copyright
  * Fixed typos in debian/control

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 03 Apr 2008 10:09:44 +0100

ocaml-duppy (0.1.0-1) unstable; urgency=low

  * Initial release and upload to unstable
    Closes: #471053

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 23 Mar 2008 12:57:20 +0100

=== debian/control ===
Source: ocaml-duppy
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
           Samuel Mimram <smimram@debian.org>,
           Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.85~),
 debhelper (>= 10),
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 1.1.0),
 ocaml-findlib (>= 1.2.4),
 libpcre-ocaml-dev (>= 6.0.1-2),
 camlp4
Standards-Version: 4.1.4
Homepage: http://savonet.sourceforge.net/
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-duppy
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-duppy

Package: libduppy-ocaml
Architecture: any
Depends: ${shlibs:Depends}, ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Advanced scheduler for OCaml (Runtime library)
 Duppy is an event scheduler written for OCaml. It allows the user
 to execute tasks according to some events on unix sockets, or
 a given delay.
 .
 Several threaded queues can proceed tasks in parallel. Tasks are
 processed according to an abstract notion of priority.
 .
 This package contains only the shared runtime stub libraries.

Package: libduppy-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Advanced scheduler for OCaml (Development package)
 Duppy is an event scheduler written for OCaml. It allows the user
 to execute tasks according to some events on unix sockets, or
 a given delay.
 .
 Several threaded queues can proceed tasks in parallel. Tasks are
 processed according to an abstract notion of priority.
 .
 This package contains all the development stuff you need to use ocaml-duppy
 in your programs.

## ocaml-duppy 0.8.0

=== debian/changelog ===
ocaml-duppy (0.8.0-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:29:23 +0000

ocaml-duppy (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * Drop useless build-dep on camlp4
  * Remove copyright attached to deleted files

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 26 Nov 2018 15:36:28 +0200

ocaml-duppy (0.7.3-1) unstable; urgency=low

  * New upstream version 0.7.3

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 17 Sep 2018 08:59:44 +0200

ocaml-duppy (0.7.2-1) unstable; urgency=low

  * New upstream version 0.7.2
  * Bump copyright years and add new copyright entries

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 03 Sep 2018 10:07:03 +0200

ocaml-duppy (0.7.1-1) unstable; urgency=low

  * New upstream version 0.7.1
  * Bump Standards-Version to 4.2.1 (no change)

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 27 Aug 2018 10:12:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ocaml-duppy
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
            Samuel Mimram <smimram@debian.org>,
            Romain Beauxis <toots@rastageeks.org>
@@ -11,11 +12,10 @@
  ocaml-nox,
  dh-ocaml (>= 1.1.0),
  ocaml-findlib (>= 1.2.4),
- libpcre-ocaml-dev (>= 6.0.1-2),
- camlp4
-Standards-Version: 4.1.4
+ libpcre-ocaml-dev (>= 6.0.1-2)
+Standards-Version: 4.2.1
 Homepage: http://savonet.sourceforge.net/
-Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-duppy
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-duppy.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-duppy
 
 Package: libduppy-ocaml

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore
DEB_DH_INSTALL_ARGS :=  --list-missing
DEB_CONFIGURE_EXTRA_FLAGS := --enable-debugging

build/libduppy-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

clean::
	rm -rf Makefile doc config.log config.status src/META examples/Makefile.http \
	examples/Makefile.telnet src/Makefile

## ocaml-duppy 0.9.2

=== debian/changelog ===
ocaml-duppy (0.9.2-2) unstable; urgency=low

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

  [ Kyle Robbertze ]
  * d/control: depend on shlibs

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 13 Nov 2022 18:09:56 +0200

ocaml-duppy (0.9.2-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Remove Samuel and Romain from Uploaders

  [ Kyle Robbertze ]
  * Update maintainer email

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 17:37:56 +0100

=== debian/control ===
Source: ocaml-duppy
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-buildinfo,
               dh-ocaml,
               libpcre-ocaml-dev,
               ocaml-dune,
               ocaml-nox
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://savonet.sourceforge.net/
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-duppy.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-duppy

Package: libduppy-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: Advanced scheduler for OCaml (Runtime library)
 Duppy is an event scheduler written for OCaml. It allows the user
 to execute tasks according to some events on unix sockets, or
 a given delay.
 .
 Several threaded queues can proceed tasks in parallel. Tasks are
 processed according to an abstract notion of priority.
 .
 This package contains only the shared runtime stub libraries.

Package: libduppy-ocaml-dev
Architecture: any
Depends: ocaml-findlib, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: Advanced scheduler for OCaml (Development package)
 Duppy is an event scheduler written for OCaml. It allows the user
 to execute tasks according to some events on unix sockets, or
 a given delay.
 .
 Several threaded queues can proceed tasks in parallel. Tasks are
 processed according to an abstract notion of priority.
 .
 This package contains all the development stuff you need to use ocaml-duppy
 in your programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p duppy

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

## ocaml-duppy 0.9.4

=== debian/changelog ===
ocaml-duppy (0.9.4-1build4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 17:38:12 +0200

ocaml-duppy (0.9.4-1build3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 14:38:27 +0200

ocaml-duppy (0.9.4-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:27:49 +0200

ocaml-duppy (0.9.4-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:26:19 +0200

ocaml-duppy (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * Drop patches applied upstream

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 06 Apr 2024 09:38:17 +0100

ocaml-duppy (0.9.3-2) unstable; urgency=medium

  * Use Re.Pcre instead of Pcre (Closes: #1042499)

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 20 Jan 2024 09:35:44 +0000

ocaml-duppy (0.9.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 09 Oct 2023 04:23:16 +0200

ocaml-duppy (0.9.2-5) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:47:55 +0200

ocaml-duppy (0.9.2-4) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 07:32:36 +0200

ocaml-duppy (0.9.2-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 16:10:36 +0200

## ocaml-duppy 0.9.5

=== debian/changelog ===
ocaml-duppy (0.9.5-2) unstable; urgency=medium

  * Team upload
  * Remove dh-buildinfo from Build-Depends
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 25 Aug 2025 01:25:21 +0200

ocaml-duppy (0.9.5-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 08 Mar 2025 08:28:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-buildinfo,
-               dh-ocaml,
-               libpcre-ocaml-dev,
+               dh-ocaml (>= 1.2),
+               libre-ocaml-dev,
                ocaml-dune,
-               ocaml-nox
-Standards-Version: 4.6.1
+               ocaml
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://savonet.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-duppy.git

=== debian/watch ===
version=4
https://github.com/savonet/ocaml-duppy/tags .*/v?([0-9.]+)\.tar\.gz
